# $Revision: 1.61 $, $Date: 2012/03/03 21:07:15 $
# TODO
# - *.pc file to -devel, however harmless due it's not pulling any extra deps
# - try to move generated files in /usr/share/mime to /var/cache/mime for FHS.
Summary:	Shared MIME-info specification
Summary(pl.UTF-8):	Wspólna specyfikacja MIME-info
Name:		shared-mime-info
Version:	1.0
Release:	1
Epoch:		1
License:	GPL
Group:		Applications
Source0:	http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.xz
# Source0-md5:	901b7977dbb2b71d12d30d4d8fb97028
URL:		http://www.freedesktop.org/wiki/Software/shared-mime-info
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types
of files. Frequently, it is necessary to work out the correct MIME
type for a file. This is generally done by examining the file's name
or contents, and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems
currently in use by GNOME, KDE and ROX. Only the name-to-type and
contents-to-type mappings are covered by this spec; other MIME type
information, such as the default handler for a particular type, or the
icon to use to display it in a file manager, are not covered since
these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%description -l pl.UTF-8
To jest wspólna baza informacji MIME freedesktop.org.

Wiele programów oraz pulpitów używa systemu MIME do reprezentacji
typów plików. Często, zachodzi potrzeba opracowania prawidłowego typu
MIME dla pliku. Przeważnie jest to robione poprzez sprawdzenie nazwy
lub zawartości pliku i znalezienie odpowiedniego typu MIME w bazie.

W ramach współpracy, użytecznym jest używanie tej samej bazy przez
różne programy. Dzięki temu pozycja dodana do bazy realizowana jest we
wszystkich programach.

Ta specyfikacja ma za zadanie zunifikowanie systemów odpytujących o
typ używanych przez GNOME, KDE i ROX. W tym pakiecie zawarte są
jedynie mapowania nazwa-typ i zawartość-typ. Inne informacje MIME,
takie jak domyślna procedura obsługi dla poszczególnych typów, czy
ikona używana podczas wyświetlania w zarządcy plików, nie są zawarte,
gdyż zależą od gustu.

Dlatego freedesktop.org udostępnia wspólne bazy w tym formacie aby
uniknąć niekonsekwencji między pulpitami. Ta baza została stworzona
poprzez konwersję istniejących baz KDE i GNOME do nowego formatu i
połączenie ich.

%package doc
Summary:	Manual for %{name}
Summary(fr.UTF-8):	Documentation pour %{name}
Summary(it.UTF-8):	Documentazione di %{name}
Summary(pl.UTF-8):	Dokumentacja do %{name}
Group:		Documentation

%description doc
Documentation for %{name}.

%description doc -l fr.UTF-8
Documentation pour %{name}.

%description doc -l it.UTF-8
Documentazione di %{name}.

%description doc -l pl.UTF-8
Dokumentacja do %{name}.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-update-mimedb
%{__make} -j1

db2html shared-mime-info-spec.xml

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

# convience symlink
ln -s t1.html shared-mime-info-spec/index.html

# ghost generated files
# see update-mime-database.c const char *media_types
install -d $RPM_BUILD_ROOT%{_datadir}/mime/{application,audio,image,inode,message,model,multipart,text,video,x-content,x-epoc}
# see specification, also grep -F .new update-mime-database.c
touch $RPM_BUILD_ROOT%{_datadir}/mime/globs
touch $RPM_BUILD_ROOT%{_datadir}/mime/globs2
touch $RPM_BUILD_ROOT%{_datadir}/mime/magic
touch $RPM_BUILD_ROOT%{_datadir}/mime/XMLnamespaces
touch $RPM_BUILD_ROOT%{_datadir}/mime/subclasses
touch $RPM_BUILD_ROOT%{_datadir}/mime/aliases
touch $RPM_BUILD_ROOT%{_datadir}/mime/types
touch $RPM_BUILD_ROOT%{_datadir}/mime/generic-icons
touch $RPM_BUILD_ROOT%{_datadir}/mime/icons
touch $RPM_BUILD_ROOT%{_datadir}/mime/treemagic
touch $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%preun
# remove dirs and files created by update-mime-database
if [ "$1" = "0" ]; then
	rm -rf %{_datadir}/mime/*
fi

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/update-mime-database
%dir %{_datadir}/mime
%dir %{_datadir}/mime/packages
%{_datadir}/mime/packages/freedesktop.org.xml
%{_mandir}/man1/update-mime-database.1*
%{_npkgconfigdir}/shared-mime-info.pc

# generated content
%dir %{_datadir}/mime/application
%dir %{_datadir}/mime/audio
%dir %{_datadir}/mime/image
%dir %{_datadir}/mime/inode
%dir %{_datadir}/mime/message
%dir %{_datadir}/mime/model
%dir %{_datadir}/mime/multipart
%dir %{_datadir}/mime/text
%dir %{_datadir}/mime/video
%dir %{_datadir}/mime/x-content
%dir %{_datadir}/mime/x-epoc
%ghost %{_datadir}/mime/globs
%ghost %{_datadir}/mime/globs2
%ghost %{_datadir}/mime/magic
%ghost %{_datadir}/mime/XMLnamespaces
%ghost %{_datadir}/mime/subclasses
%ghost %{_datadir}/mime/aliases
%ghost %{_datadir}/mime/types
%ghost %{_datadir}/mime/generic-icons
%ghost %{_datadir}/mime/icons
%ghost %{_datadir}/mime/treemagic
%ghost %{_datadir}/mime/mime.cache

%files doc
%defattr(644,root,root,755)
%doc shared-mime-info-spec/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shared-mime-info.spec,v $
Revision 1.61  2012/03/03 21:07:15  qboosh
- updated to 1.0

Revision 1.60  2011/12/26 18:29:32  qboosh
- updated to 0.91

Revision 1.59  2010/12/01 20:31:19  glen
- up to 0.90, make -j1

Revision 1.58  2010/10/30 21:20:36  qboosh
- updated to 0.80

Revision 1.57  2010/03/14 21:42:54  glen
- up to 0.71
-doc subpackage
- ghost package generated files

Revision 1.56  2009/10/08 16:16:20  arekm
- up to 0.70

Revision 1.55  2009/05/16 15:20:11  megabajt
- updated to 0.60

Revision 1.54  2008/09/19 23:22:23  megabajt
- merged from DEVEL

Revision 1.51.2.4  2008/09/19 23:17:59  megabajt
- updated to 0.51
- removed -directory_alias_fix.patch (nautilus seems to be fixed)
- removed -dicom.patch (applied upstream)

Revision 1.53  2008/08/30 02:01:10  glen
- todos

Revision 1.51.2.3  2008/07/23 09:02:45  patrys
- 0.50

Revision 1.51.2.2  2008/06/30 08:45:22  patrys
- epoch 1 to follow HEAD

Revision 1.52  2008/06/30 08:41:31  patrys
- reverted to 0.23 (0.40 is meant for glib2 2.17.2)
- epoch 1
- rel 3

Revision 1.51.2.1  2008/06/30 08:28:25  patrys
- proper glib2 deps
- moved to DEVEL

Revision 1.51  2008/06/12 04:56:22  qboosh
- updated pl.po-update patch
- dropped debug patch, merged pl patch into pl.po-update

Revision 1.50  2008-06-11 19:17:55  patrys
- 0.40
- patch0 no longer relevant
- patch6 no longer needed
- disabled pl.po patches (strings differ a lot from current release)
- disabled debug.patch (not accepted upstream, either adapt od drop)

Revision 1.49  2008-03-20 15:22:35  megabajt
- added -x-content.patch
- release 2

Revision 1.48  2008-01-03 23:11:14  qboosh
- added pl.po-update patch

Revision 1.47  2007-12-27 23:45:23  zbyniu
- up to 0.23

Revision 1.46  2007-10-12 01:08:47  sls
- intltoolize

Revision 1.45  2007/08/04 23:06:46  qboosh
- updated to 0.22
- updated pl patch

Revision 1.44  2007/07/04 06:35:29  qboosh
- updated to 0.21
- updated debug,pl patches

Revision 1.43  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.41  2006/08/20 21:06:08  aflinta
- updated pl transaltion, relese 2

Revision 1.40  2006/08/20 18:48:59  freetz
- rel.1

Revision 1.39  2006/08/19 10:02:58  freetz
- 0.18, removed locale-names, polish and word patches (obsolete)
- added debug patch (switches off non-informative stdout)
- don't install locales since they are incorporated into database and not
  used at all
- don't create database and related files (previously marked %ghost) we
  doing it at install time
- remove /usr/share/mime contents when package is completly removed
- rel.0.1 - some feedback needed

Revision 1.38  2006/06/04 00:39:03  qboosh
- pl.po needs update

Revision 1.37  2006/06/01 01:55:54  japhy
- New patch5: 110_no_directory_alias_fix_open_with.patch from Ubuntu
  (works around bug https://bugs.freedesktop.org/show_bug.cgi?id=6344).
- Rel up, STBR.

Revision 1.36  2006/05/27 18:33:26  pluto
- updated to 0.17, release 0.1.

Revision 1.35  2006/04/04 21:54:11  qboosh
- not strictly X11-related, so removed X11 from Group
- some cleanups, new version note

Revision 1.34  2005/09/13 13:52:56  qboosh
- sorted BRs

Revision 1.33  2005/09/13 13:43:56  prism
- added BR: intltool

Revision 1.32  2005/08/26 19:57:54  qboosh
- updated URL

Revision 1.31  2005/08/17 18:14:47  adgor
- 0.16 (unofficial)

Revision 1.30  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.29  2005/05/11 16:38:28  pluto
- release 4 for Th.

Revision 1.28  2004/12/22 12:09:18  krzak
- word.patch, fix application/msword type

Revision 1.27  2004/12/22 10:23:26  krzak
- rel. 3
- most of dirs and files is generated in %post based on %{_datadir}/mime/packages/*
  so I %ghost'ed them

Revision 1.26  2004/09/08 19:59:29  aflinta
- added polish translation by GNOME PL Team (it's me :)), release 2

Revision 1.25  2004/09/03 08:15:20  deejay1
- updated to 0.15

Revision 1.24  2004/08/31 12:12:31  wiget
- added dicom.patch (application/dicom support)
- release 3

Revision 1.23  2004/04/07 19:22:56  ankry
- removed unneeded caps

Revision 1.22  2004/04/07 16:59:34  wrobell
- umask 022 before mime database update in post
- rel. 2

Revision 1.21  2004/03/26 14:06:30  grzegol
- updated to 0.14
- removed outdated RIFF patch
- added locale-names patch (rename locale no -> nb)

Revision 1.20  2004/02/12 13:51:15  grzegol
- added RIFF patch (fixes RIFF magic)
- rel. 2

Revision 1.19  2004/01/31 01:29:57  grzegol
- updated to 0.13
- removed outdated am_fix patch
- updated %%files

Revision 1.18  2003/12/06 02:44:55  adgor
- Removed fix-mime-info-path.patch. Please - do not force changing mime dir
  to mime-info (which is native gnome dir same as kde mimelnk dir).
  It causes more problems than profits
- Fixed URL
- Release 2

Revision 1.17  2003/08/31 23:49:22  wolf
- 0.12

Revision 1.16  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.15  2003/07/30 21:58:44  grzegol
- added dtd_path patch (fixes doc building)
- removed _without_building_doc bcond
- more BR
- rel. 2

Revision 1.14  2003/05/28 13:01:50  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/18 08:55:55  kloczek
- adapterized and cleanups.

Revision 1.11  2003/05/18 08:41:38  wolf
- 0.11

Revision 1.10  2003/05/07 09:30:06  wolf
- BR: glib2-devel

Revision 1.9  2003/05/07 09:28:06  wolf
- qwa

Revision 1.8  2003/05/07 09:27:27  wolf
- BR: pkgconfig

Revision 1.7  2003/03/05 15:49:54  grzegol
- updated to 0.10

Revision 1.6  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.5  2002/11/25 01:42:01  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %%doc

Revision 1.4  2002/10/08 13:12:58  qboosh
- BR: autoconf,automake

Revision 1.3  2002/07/30 13:49:13  grzegol
- updated to 0.9
- updated %%files (added NEWS to doc and manpage)
- generate html documentation from xml source
STBR

Revision 1.2  2002/07/25 21:58:45  grzegol
- updated to 0.8
- License is GPL
- packege isn't noarch
- added BR: libxml-devel
- updated %%files
- update mime databases in post and postun
STBR

Revision 1.1  2002/06/07 21:19:35  grzegol
- initial release
STBR
